#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-pathspec
Version		:	0.11.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Utility library for gitignore style pattern matching of file paths

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MPL-2.0
URL		:	https://github.com/cpburnz/python-pathspec/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python-wheel

#-----------------------------------------------------------------------------
%description
pathspec is a utility library for pattern matching of file paths.
So far this only includes Git's wildmatch pattern matching which
itself is derived from Rsync's wildmatch.
Git uses wildmatch for its gitignore files.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/patterns/*.py
%{python3_sitelib}/%{sname}/patterns/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n python-%{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
#%{__python}						\
#	setup.py					\
#	pytest						\

	
#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
